Bug 1008183 - [abrt] xfce4-panel-4.10.1-1.fc18: __strcmp_sse42: Process /usr/bin/xfce4-panel was killed by signal 11 (SIGSEGV)
[abrt] xfce4-panel-4.10.1-1.fc18: __strcmp_sse42: Process /usr/bin/xfce4-pane...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:79d4cd522075470b239ad2b949b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-15 11:11 EDT by Frank Dittrich
Modified: 2014-02-05 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:23:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (56.46 KB, text/plain)
2013-09-15 11:11 EDT, Frank Dittrich
no flags Details
File: cgroup (125 bytes, text/plain)
2013-09-15 11:11 EDT, Frank Dittrich
no flags Details
File: core_backtrace (9.80 KB, text/plain)
2013-09-15 11:11 EDT, Frank Dittrich
no flags Details
File: dso_list (9.97 KB, text/plain)
2013-09-15 11:11 EDT, Frank Dittrich
no flags Details
File: environ (1.50 KB, text/plain)
2013-09-15 11:11 EDT, Frank Dittrich
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-15 11:11 EDT, Frank Dittrich
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-15 11:11 EDT, Frank Dittrich
no flags Details
File: maps (50.14 KB, text/plain)
2013-09-15 11:11 EDT, Frank Dittrich
no flags Details
File: open_fds (2.29 KB, text/plain)
2013-09-15 11:11 EDT, Frank Dittrich
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-09-15 11:11 EDT, Frank Dittrich
no flags Details
File: var_log_messages (1.26 KB, text/plain)
2013-09-15 11:11 EDT, Frank Dittrich
no flags Details

  None (edit)
Description Frank Dittrich 2013-09-15 11:11:00 EDT
Description of problem:
It is hard to reproduce this problem reliably. Most of the time, everything works.
When there is a problem, it seems to exist (meaning can be reproduced reliably) until I reboot.

Sometimes, when I click on Application menu -> Settings or Application menu -> Administration, there are no icons in front of the menu entries of the sub-menu.
When I just wait until the icons come up, or when I move the cursor to one of the entries in the sub-menu and wait, the segfault happens.

Yesterday, Application menu ->Settings was affected, today, Application menu -> Administration was affected (meaning: no icons in front of Authentication, Keyboard, ... Yum extender), and just waiting long enough with that sub-menu opened would finally (after about 5-20 seconds) cause the segfault.
If such a problem occurs, I can reproduce it time after time, the only difference being how long I need to wait for the icons to appear or for the entry unter the cursor being highlighted until xfce4-panel crashes.

In some way, this crash could be related to https://bugzilla.redhat.com/show_bug.cgi?id=1003300 and the other bugs mentioned in https://bugzilla.redhat.com/show_bug.cgi?id=1003300#c15 and . https://bugzilla.redhat.com/show_bug.cgi?id=1003300#c21.

But today I noticed that xfce4-panel still segfaulted, even though the other programs which segfaulted yesterday,
 backtrace always containing either
(gdb) bt
#0  0x000000302e72fafb in __strcmp_sse42 () from /lib64/libc.so.6
#1  0x0000003041f11bf3 in _gtk_icon_cache_has_icon () from /lib64/libgtk-x11-2.0.so.0
#2  0x0000003041f19d54 in gtk_icon_theme_has_icon () from /lib64/libgtk-x11-2.0.so.0
#3  0x0000003041e793fa in gtk_action_group_add_actions_full () from /lib64/libgtk-x11-2.0.so.0
or
#0  0x000000302e72fa96 in __strcmp_sse42 () from /lib64/libc.so.6
#1  0x0000003041f5a393 in _gtk_icon_cache_has_icon () from /lib64/libgtk-3.so.0
#2  0x0000003041f63514 in gtk_icon_theme_has_icon () from /lib64/libgtk-3.so.0
#3  0x0000003041e9f01a in gtk_action_group_add_actions_full () from /lib64/libgtk-3.so.0
don't degfault today.
So may be, there's a somewhat higher probability that I'll be able to reproduce xfce4-panel segfaults (assuming that the probability somehow correlates to the number of menus with sub-menus).  

As I mentioned above, after another reboot, xfce4-panel doesn't segfault anymore, all the icons in all the submenus are there...


Version-Release number of selected component:
xfce4-panel-4.10.1-1.fc18

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 2a323e74e-6e98-4d4f-b4e7-7c3fca78305d
crash_function: __strcmp_sse42
executable:     /usr/bin/xfce4-panel
kernel:         3.10.10-100.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __strcmp_sse42 at ../sysdeps/x86_64/multiarch/strcmp-sse42.S:162
 #1 find_image_offset at gtkiconcache.c:249
 #2 _gtk_icon_cache_get_icon_flags at gtkiconcache.c:283
 #3 theme_dir_get_icon_suffix at gtkicontheme.c:2072
 #4 theme_lookup_icon at gtkicontheme.c:2135
 #5 choose_icon at gtkicontheme.c:1274
 #6 gtk_icon_theme_lookup_icon at gtkicontheme.c:1445
 #7 gtk_icon_theme_load_icon at gtkicontheme.c:1541
 #8 IA__xfce_panel_pixbuf_from_source_at_size at xfce-panel-convenience.c:187
 #9 xfce_panel_image_load at xfce-panel-image.c:484
Comment 1 Frank Dittrich 2013-09-15 11:11:05 EDT
Created attachment 797961 [details]
File: backtrace
Comment 2 Frank Dittrich 2013-09-15 11:11:08 EDT
Created attachment 797962 [details]
File: cgroup
Comment 3 Frank Dittrich 2013-09-15 11:11:11 EDT
Created attachment 797963 [details]
File: core_backtrace
Comment 4 Frank Dittrich 2013-09-15 11:11:15 EDT
Created attachment 797964 [details]
File: dso_list
Comment 5 Frank Dittrich 2013-09-15 11:11:17 EDT
Created attachment 797965 [details]
File: environ
Comment 6 Frank Dittrich 2013-09-15 11:11:20 EDT
Created attachment 797966 [details]
File: exploitable
Comment 7 Frank Dittrich 2013-09-15 11:11:23 EDT
Created attachment 797967 [details]
File: limits
Comment 8 Frank Dittrich 2013-09-15 11:11:27 EDT
Created attachment 797968 [details]
File: maps
Comment 9 Frank Dittrich 2013-09-15 11:11:30 EDT
Created attachment 797969 [details]
File: open_fds
Comment 10 Frank Dittrich 2013-09-15 11:11:33 EDT
Created attachment 797970 [details]
File: proc_pid_status
Comment 11 Frank Dittrich 2013-09-15 11:11:36 EDT
Created attachment 797971 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2013-12-21 09:35:34 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 17:23:50 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.